Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.view
Class mxEdgeStyle

    java.lang.Object
      com.mxgraph.view.mxEdgeStyle

    public class mxEdgeStyle

extends Object

Provides various edge styles to be used as the values for mxConstants.STYLE_EDGE in a cell style. Alternatevly, the mxConstants. EDGESTYLE_* constants can be used to reference an edge style via the mxStyleRegistry.

Nested Class Summary
`static interface` | `mxEdgeStyle.mxEdgeStyleFunction` Defines the requirements for an edge style function.

Field Summary
`static mxEdgeStyle.mxEdgeStyleFunction` | `ElbowConnector` Uses either SideToSide or TopToBottom depending on the horizontal flag in the cell style.
`static mxEdgeStyle.mxEdgeStyleFunction` | `EntityRelation` Provides an entity relation style for edges (as used in database schema diagrams).
`static mxEdgeStyle.mxEdgeStyleFunction` | `Loop` Provides a self-reference, aka.
`static mxEdgeStyle.mxEdgeStyleFunction` | `SideToSide` Provides a vertical elbow edge.
`static mxEdgeStyle.mxEdgeStyleFunction` | `TopToBottom` Provides a horizontal elbow edge.

Constructor Summary
`mxEdgeStyle()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EntityRelation

    public static mxEdgeStyle.mxEdgeStyleFunction EntityRelation

  Provides an entity relation style for edges (as used in database schema diagrams).

### Loop

    public static mxEdgeStyle.mxEdgeStyleFunction Loop

  Provides a self-reference, aka. loop.

### ElbowConnector

    public static mxEdgeStyle.mxEdgeStyleFunction ElbowConnector

  Uses either SideToSide or TopToBottom depending on the horizontal flag in the cell style. SideToSide is used if horizontal is true or unspecified.

### SideToSide

    public static mxEdgeStyle.mxEdgeStyleFunction SideToSide

  Provides a vertical elbow edge.

### TopToBottom

    public static mxEdgeStyle.mxEdgeStyleFunction TopToBottom

  Provides a horizontal elbow edge.

Constructor Detail

### mxEdgeStyle

    public mxEdgeStyle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 1.4.0.9
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.